## linux-backports-modules-2.6.35 2.6.35-22.12

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_E1000E) += net/e1000e/

=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o
obj-$(CONFIG_LIB80211) += lib80211.o
obj-$(CONFIG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CONFIG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CONFIG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o
cfg80211-y += mlme.o ibss.o sme.o chan.o ethtool.o
cfg80211-$(CONFIG_CFG80211_DEBUGFS) += debugfs.o
cfg80211-$(CONFIG_CFG80211_WEXT) += wext-compat.o wext-sme.o

ccflags-y += -D__CHECK_ENDIAN__

=== updates/compat-wireless-2.6/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/

obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o


obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH_COMMON)	+= ath/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CONFIG_WL12XX)	+= wl12xx/

obj-$(CONFIG_IWM)	+= iwmc3200wifi/

=== debian/changelog ===
linux-backports-modules-2.6.35 (2.6.35-22.12) maverick; urgency=low

  [ Leann Ogasawara ]

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 14 Sep 2010 16:19:31 -0700

linux-backports-modules-2.6.35 (2.6.35-21.11) maverick; urgency=low

  [ Leann Ogasawara ]

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 10 Sep 2010 14:34:37 -0700

linux-backports-modules-2.6.35 (2.6.35-20.10) maverick; urgency=low

  [ Leann Ogasawara ]

  * ABI bump
  * Backported e1000e from 2.6.36-rc3
    - LP: #601044

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 01 Sep 2010 14:09:04 -0700

linux-backports-modules-2.6.35 (2.6.35-19.9) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 24 Aug 2010 10:26:20 -0700

linux-backports-modules-2.6.35 (2.6.35-18.8) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Sun, 22 Aug 2010 17:48:15 -0700

linux-backports-modules-2.6.35 (2.6.35-17.7) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 19 Aug 2010 16:53:02 -0700

linux-backports-modules-2.6.35 (2.6.35-16.6) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 16 Aug 2010 16:25:24 -0700

linux-backports-modules-2.6.35 (2.6.35-15.5) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 09 Aug 2010 13:25:01 -0700

linux-backports-modules-2.6.35 (2.6.35-14.4) maverick; urgency=low

  * ABI bump

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 02 Aug 2010 08:24:31 -0700

linux-backports-modules-2.6.35 (2.6.35-11.3) maverick; urgency=low

  * ABI bump

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jul 2010 06:56:57 -0600

linux-backports-modules-2.6.35 (2.6.35-7.2) maverick; urgency=low

  * ABI bump

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 08 Jul 2010 06:49:13 -0600

linux-backports-modules-2.6.35 (2.6.35-6.1) maverick; urgency=low

  * Initial Maverick version with empty packages. These will get
    some content as soon as the upstream projects update beyond
    the functionality that is currently in the Maverick kernel.

 --  Tim Gardner <tim.gardner@canonical.com>>  Tue, 29 Jun 2010 08:20:56 -0600

linux-backports-modules-2.6.32 (2.6.32-22.14) lucid-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * Updating with the alsa-driver 1.0.23 release
  * Updated the BOM tar file version for alsa-driver that just got merged
  * ALSA: hda - Fix resume from StR of HP 2510p with docking-station

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 20 May 2010 15:30:41 +0200

linux-backports-modules-2.6.32 (2.6.32-22.13) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * Make compat wireless udev glue unique by ABI
    - LP: #568782

 -- Andy Whitcroft <apw@canonical.com>  Thu, 29 Apr 2010 17:22:35 +0100

linux-backports-modules-2.6.32 (2.6.32-22.12) lucid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 22

 -- Andy Whitcroft <apw@canonical.com>  Wed, 28 Apr 2010 15:32:31 +0100

linux-backports-modules-2.6.32 (2.6.32-21.11) lucid; urgency=low

  * Lucid ABI 21

 -- Andy Whitcroft <apw@canonical.com>  Wed, 14 Apr 2010 08:58:18 +0100

linux-backports-modules-2.6.32 (2.6.32-20.10) lucid; urgency=low

  * Lucid ABI 20

 -- Andy Whitcroft <apw@canonical.com>  Sat, 10 Apr 2010 10:49:33 +0100

linux-backports-modules-2.6.32 (2.6.32-19.9) lucid; urgency=low

  * Lucid ABI 19

 -- Andy Whitcroft <apw@canonical.com>  Thu, 01 Apr 2010 08:50:32 +0100

linux-backports-modules-2.6.32 (2.6.32-18.8) lucid; urgency=low

  [ Stefan Bader ]

  * Bumping ABI to 18 to match kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 26 Mar 2010 19:08:32 +0100

linux-backports-modules-2.6.32 (2.6.32-16.7) lucid; urgency=low

  [ Tim Gardner ]

  * Added preempt flavour
    - LP: #527459
  * udev looks for firmware in /lib/firmware/updates/`uname -r` first.
    This allows the installation of compat firmware without having to
    change files names.
  * compat wireless has its own compat firmware class driver
    This requires a new script and udev rule. Fixes firmware
    load problems since 2.6.32-15.5.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 08 Mar 2010 12:07:39 -0700

linux-backports-modules-2.6.32 (2.6.32-16.6) lucid; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 16
  * nouveau -- make the nouveau package an optional build
  * nouveau -- disable generation of nouveau
  * nouveau -- drop the redundant nouveau source

  [ Tim Gardner ]

  * Added iwlwifi 6000 series firmware
  * udev expects firmware in /lib/firmware/updates/`uname -r`

 -- Andy Whitcroft <apw@canonical.com>  Mon, 08 Mar 2010 08:59:41 +0000

linux-backports-modules-2.6.32 (2.6.32-15.5) lucid; urgency=low

  [ Andy Whitcroft ]

  * Update to compat-wireless-2.6.33
  * Lucid ABI 15
  * update to debhelper v5

 -- Andy Whitcroft <apw@canonical.com>  Tue, 02 Mar 2010 10:45:23 +0000

linux-backports-modules-2.6.32 (2.6.32-14.4) lucid; urgency=low

  [ Andy Whitcroft ]

  * UPDATE_NOUVEAU -- add support for dropping patches on top
  * update Nouveau to v2.6.33

  [ Christopher James Halse Rogers ]

  * fix legacy paths in UPDATE_NOUVEAU
  * pull in ctxprog voodoo from Nouveau upstream
    - LP: #528190
  * update Nouveau package description to mention lbm-nouveau metapackage
  * update VCS-Git field to point to lucid lbm

  [ Upstream Kernel Changes ]

  * drm/nv50: Implement ctxprog/state generation.
  * drm/nv50: Remove redundant/incorrect ctxvals initialisation.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 26 Feb 2010 19:06:43 +0000

linux-backports-modules-2.6.32 (2.6.32-14.3) lucid; urgency=low

  [ Andy Whitcroft ]

  * Lucid ABI 14

 -- Andy Whitcroft <apw@canonical.com>  Sat, 20 Feb 2010 13:08:41 +0000

linux-backports-modules-2.6.32 (2.6.32-13.2) lucid; urgency=low

  [ Andy Whitcroft ]

  * fix startnewrelease to use DEBEMAIL/DEBFULLNAME


=== debian/control ===
Source: linux-backports-modules-2.6.35
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.35-22-generic [i386 amd64], linux-headers-2.6.35-22-generic-pae [i386], linux-headers-2.6.35-22-lpia [lpia], linux-headers-2.6.35-22-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-lucid-lbm.git

Package: linux-headers-lbm-2.6.35-22
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.35
 This package provides linux-ubuntu-modules header files for version 2.6.35, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-22/debian.README.gz for details

Package: linux-backports-modules-wireless-2.6.35-22-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-22-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-22/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-22-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-22-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-2.6.35-22-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 2.6.35 on x86/x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.


Package: linux-backports-modules-wireless-2.6.35-22-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-22-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-22/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-22-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-22-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-2.6.35-22-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 2.6.35 on x86
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.


Package: linux-backports-modules-wireless-2.6.35-22-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on lpia
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-22-lpia
Architecture: lpia
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-22/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-22-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-22-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-2.6.35-22-lpia
Architecture: lpia
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 2.6.35 on lpia
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 2.6.35 on lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-lpia meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.


Package: linux-backports-modules-wireless-2.6.35-22-server
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-server
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-wireless-server meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-22-server
Architecture: amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-22-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-22/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-22-server
Architecture: amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-22-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-2.6.35-22-server
Architecture: amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-22-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 2.6.35 on x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-server meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=5
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -rf debian/linux-backports-modules*
	rm -rf debian/linux-headers*
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	if [ -d debian/d-i/firmware ]; then \
		install -d $(udebdir)/firmware/$(arch); \
		cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/; \
	fi
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

## linux-backports-modules-2.6.35 2.6.35-32.25

=== updates/Makefile ===
--- 
+++ 
@@ -5,3 +5,7 @@
 include $(src)/.config
 
 obj-$(CONFIG_E1000E) += net/e1000e/
+
+obj-m	+= input-drivers/
+
+obj-y	+= media/

=== updates/input-drivers/Makefile ===
obj-m	+= tablet/

=== updates/compat-wireless-2.6.39/compat/Makefile ===
obj-m += compat.o
#compat-objs :=

obj-$(CONFIG_COMPAT_FIRMWARE_CLASS) += compat_firmware_class.o
obj-$(CONFIG_COMPAT_KFIFO) += kfifo.o

compat-y += main.o

# Compat kernel compatibility code
compat-$(CONFIG_COMPAT_KERNEL_14) += compat-2.6.14.o
compat-$(CONFIG_COMPAT_KERNEL_18) += compat-2.6.18.o
compat-$(CONFIG_COMPAT_KERNEL_19) += compat-2.6.19.o
compat-$(CONFIG_COMPAT_KERNEL_21) += compat-2.6.21.o
compat-$(CONFIG_COMPAT_KERNEL_22) += compat-2.6.22.o
compat-$(CONFIG_COMPAT_KERNEL_23) += compat-2.6.23.o
compat-$(CONFIG_COMPAT_KERNEL_24) += compat-2.6.24.o

compat-$(CONFIG_COMPAT_KERNEL_25) += \
	compat-2.6.25.o \
	pm_qos_params.o

compat-$(CONFIG_COMPAT_KERNEL_26) += compat-2.6.26.o
compat-$(CONFIG_COMPAT_KERNEL_27) += compat-2.6.27.o
compat-$(CONFIG_COMPAT_KERNEL_28) += compat-2.6.28.o
compat-$(CONFIG_COMPAT_KERNEL_29) += compat-2.6.29.o
compat-$(CONFIG_COMPAT_KERNEL_32) += compat-2.6.32.o
compat-$(CONFIG_COMPAT_KERNEL_33) += compat-2.6.33.o
compat-$(CONFIG_COMPAT_KERNEL_35) += compat-2.6.35.o
compat-$(CONFIG_COMPAT_KERNEL_36) += compat-2.6.36.o
compat-$(CONFIG_COMPAT_KERNEL_37) += compat-2.6.37.o
compat-$(CONFIG_COMPAT_KERNEL_38) += compat-2.6.38.o
compat-$(CONFIG_COMPAT_KERNEL_39) += compat-2.6.39.o

=== updates/input-drivers/tablet/Makefile ===
#
# Makefile for the tablet drivers
#

NOSTDINC_FLAGS += -include $(M)/input-drivers/tablet/compat.h

# Multipart objects.
wacom-objs	:= wacom_wac.o wacom_sys.o

obj-$(CONFIG_TABLET_USB_WACOM)	+= wacom.o

=== updates/compat-wireless-2.6.38/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_HERMES)		+= orinoco/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/
obj-$(CONFIG_RTL8192CE)		+= rtlwifi/

obj-$(CONFIG_USB_NET_COMPAT_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_COMPAT_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH_COMMON)	+= ath/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

obj-$(CONFIG_WL1251)	+= wl1251/
obj-$(CONFIG_WL12XX)	+= wl12xx/
obj-$(CONFIG_WL12XX_PLATFORM_DATA)	+= wl12xx/

obj-$(CONFIG_IWM)	+= iwmc3200wifi/

=== debian/changelog ===
linux-backports-modules-2.6.35 (2.6.35-32.25) maverick-proposed; urgency=low

  * Bump ABI - Maverick 32

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Mon, 02 Jan 2012 18:20:21 -0200

linux-backports-modules-2.6.35 (2.6.35-31.24) maverick-proposed; urgency=low

  * Bump ABI - Maverick 31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 08 Nov 2011 14:47:20 -0200

linux-backports-modules-2.6.35 (2.6.35-30.23) maverick; urgency=low

  [ Tim Gardner ]

  * Added compat-wireless 2.6.39
    - LP: #806597

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Oct 2011 11:22:52 -0600

linux-backports-modules-2.6.35 (2.6.35-30.22) maverick-proposed; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * Bump ABI - Maverick 30

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Thu, 02 Jun 2011 09:48:02 -0300

linux-backports-modules-2.6.35 (2.6.35-29.21) maverick-proposed; urgency=low

  [ Tim Gardner ]

  * Updated to compat-wireless-2.6.38.2-2
    - LP: #746584

 --  Steve Conklin <sconklin@canonical.com>  Fri, 15 Apr 2011 11:10:07 -0600

linux-backports-modules-2.6.35 (2.6.35-28.20) maverick; urgency=low

  [ Tim Gardner ]

  * Added compat-wireless-2.6.38
    - LP: #737669
  * Enabled compat-wireless-2.6.38
    - LP: #737669

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Mar 2011 13:09:15 -0600

linux-backports-modules-2.6.35 (2.6.35-28.19) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Bump ABI - Maverick 28

 -- Brad Figg <brad.figg@canonical.com>  Mon, 28 Feb 2011 14:48:22 -0800

linux-backports-modules-2.6.35 (2.6.35-27.18) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Bump ABI - Maverick 27

 -- Brad Figg <brad.figg@canonical.com>  Thu, 10 Feb 2011 14:34:26 -0800

linux-backports-modules-2.6.35 (2.6.35-26.17) maverick-proposed; urgency=low

  [ Steve Conklin ]

  * Bump ABI - Maverick 26

 -- Steve Conklin <sconklin@canonical.com>  Tue, 01 Feb 2011 14:40:31 -0600

linux-backports-modules-2.6.35 (2.6.35-25.16) maverick-proposed; urgency=low

  [ Tim Gardner ]

  * Updated to compat-wireless-2.6.37-4
  * enable compat-wireless-2.6.37 build
  * Update compat-wireless-2.6.36 to compat-wireless-2.6.36.3
  * Updated BOM
    - LP: #704503

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 18 Jan 2011 09:41:03 -0700

linux-backports-modules-2.6.35 (2.6.35-24.15) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Bump ABI - Maverick 24

 -- Brad Figg <brad.figg@canonical.com>  Tue, 30 Nov 2010 20:11:03 -0800

linux-backports-modules-2.6.35 (2.6.35-23.14) maverick-proposed; urgency=low

  [ Leann Ogasawara ]

  * upstream IR updates
    - LP: #670483

 -- Brad Figg <brad.figg@canonical.com>  Tue, 23 Nov 2010 13:09:32 -0800

linux-backports-modules-2.6.35 (2.6.35-23.13) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Changed the Vcs line in the control.stub.in to point at the
    correct git repo.

  [ Leann Ogasawara ]

  * Allow multiple versions of compat-wireless
    - LP: #673191
  * Add compat-wireless-2.6.37
    - LP: #673245

  [ Stefan Bader ]

  * Add input drivers backports
    - LP: #527912

  [ Tim Gardner ]

  * Update to iwlwifi-6000-ucode-9.221.4.1
  * Add iwlwifi-6050 firmware
  * Added compat-wireless-2.6.36

  [ Leann Ogasawara ]

  * ABI bump

 -- Brad Figg <brad.figg@canonical.com>  Thu, 18 Nov 2010 08:53:54 -0800

=== debian/control ===
Source: linux-backports-modules-2.6.35
Section: admin
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.35-32-generic [i386 amd64], linux-headers-2.6.35-32-generic-pae [i386], linux-headers-2.6.35-32-lpia [lpia], linux-headers-2.6.35-32-server [amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-maverick-lbm.git

Package: linux-headers-lbm-2.6.35-32
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.35
 This package provides linux-ubuntu-modules header files for version 2.6.35, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-32/debian.README.gz for details

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86/x86_64
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-32-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-32-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-32/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-backports-modules-net-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux ethernet modules for version 2.6.35 on x86/x86_64
 This package contains ethernet modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-net-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-input-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux input modules for version 2.6.35 on x86/x86_64
 This package contains input modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-input-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-media-2.6.35-32-generic
Architecture: i386 amd64
Section: admin
Priority: optional
Provides: 
Depends: linux-image-2.6.35-32-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Linux media modules for version 2.6.35 on x86/x86_64
 This package contains media modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-media-generic meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic-pae
Depends: linux-image-2.6.35-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.36-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic-pae
Depends: linux-image-2.6.35-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.37-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic-pae
Depends: linux-image-2.6.35-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-backports-modules-compat-wireless-2.6.39-2.6.35-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides: 
Conflicts: linux-backports-modules-compat-wireless-2.6.36-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.37-2.6.35-32-generic-pae, linux-backports-modules-compat-wireless-2.6.38-2.6.35-32-generic-pae
Depends: linux-image-2.6.35-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: compat-wireless Linux modules for version 2.6.35 on x86
 This package contains compat-wireless modules supplied by Ubuntu for Linux
 kernel 2.6.35 on x86.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-compat-wireless-2.6.38-generic-pae meta-package, which will ensure
 that upgrades work correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.35-32-generic-pae
Architecture: i386
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.35-32-generic-pae
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.35
 This package provides linux-backports-modules header files for version 2.6.35, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.35-32/debian.README.gz for details

Package: linux-backports-modules-alsa-2.6.35-32-generic-pae
Architecture: i386
Section: admin
Priority: optional
Provides:
Depends: linux-image-2.6.35-32-generic-pae
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.35 ALSA snapshots.
 This package contains modules supplied by Ubuntu for Linux 2.6.35 ALSA
 snapshots from http://www.alsa-project.org/main/index.php/Main_Page
 .
 You likely do not want to install this package directly. Instead, install
 the linux-backports-modules-alsa-generic-pae meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
